Change classpath to include Debian jars and omit non-free Sun jar files, and
exclude (removed) jar files from install list.

--- babel-1.2.0/bin/babel.in.bak	2007-11-02 21:24:01.000000000 +0000
+++ babel-1.2.0/bin/babel.in	2008-02-15 19:59:59.000000000 +0000
@@ -182,7 +182,7 @@
   exit 1
 fi
 
-BABELCP=${prefix}/lib/${PACKAGE}-${VERSION}.jar:${prefix}/lib/java-getopt-1.0.7.jar:${prefix}/lib/xerces-2.9.1.jar:${prefix}/lib/xml-apis.jar:${prefix}/lib/xalan.jar:${prefix}/lib/jcert-1.0.1.jar:${prefix}/lib/jnet-1.0.1.jar:${prefix}/lib/jsse-1.0.1.jar
+BABELCP=${BABELJARDIR}/${PACKAGE}-${VERSION}.jar:${SYSJARDIR}/gnu-getopt.jar:${SYSJARDIR}/xercesImpl.jar:${SYSJARDIR}/xmlParserAPIs.jar:${SYSJARDIR}/xml-apis.jar:${SYSJARDIR}/xalan2.jar
 if test "X$CLASSPATH" = "X"; then
   CLASSPATH=${BABELCP}
 else
--- babel-1.2.0/doc/html/Makefile.am~	2007-11-02 21:28:08.000000000 +0000
+++ babel-1.2.0/doc/html/Makefile.am	2008-02-20 17:36:06.000000000 +0000
@@ -15,7 +15,8 @@
 JAVADOC=@JAVADOC@
 JAVADOCFILES = package-list stylesheet.css *.html
 
-CP = ../../lib/java-getopt-1.0.7.jar:../../lib/xerces-1.1.1.jar:../../lib/jcert-1.0.1.jar:../../lib/jnet-1.0.1.jar:../../lib/external/jsse-1.0.1.jar
+SYSJARDIR=/usr/share/java
+CP = ${SYSJARDIR}/gnu-getopt.jar:${SYSJARDIR}/xercesImpl.jar:${SYSJARDIR}/xmlParserAPIs.jar:${SYSJARDIR}/xml-apis.jar
 SP = $(top_srcdir)/compiler:$(top_srcdir)/runtime/java
 
 if SUPPORT_CYGWIN
--- babel-1.2.0/doc/html/Makefile.in~	2007-11-02 21:40:55.000000000 +0000
+++ babel-1.2.0/doc/html/Makefile.in	2008-02-20 17:37:24.000000000 +0000
@@ -341,7 +341,8 @@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
 JAVADOCFILES = package-list stylesheet.css *.html
-CP = ../../lib/java-getopt-1.0.7.jar:../../lib/xerces-1.1.1.jar:../../lib/jcert-1.0.1.jar:../../lib/jnet-1.0.1.jar:../../lib/external/jsse-1.0.1.jar
+SYSJARDIR=/usr/share/java
+CP = ${SYSJARDIR}/gnu-getopt.jar:${SYSJARDIR}/xercesImpl.jar:${SYSJARDIR}/xmlParserAPIs.jar:${SYSJARDIR}/xml-apis.jar
 SP = $(top_srcdir)/compiler:$(top_srcdir)/runtime/java
 @SUPPORT_CYGWIN_FALSE@CLASSPATH = $(CP)
 @SUPPORT_CYGWIN_TRUE@CLASSPATH = `cygpath --path --windows "$(CP)"`
--- babel-1.2.0.dfsg/compiler/Makefile.am~	2007-11-02 21:28:08.000000000 +0000
+++ babel-1.2.0.dfsg/compiler/Makefile.am	2008-04-01 21:41:35.000000000 +0000
@@ -42,7 +42,7 @@
 # Java classpath path information for jar files needed for compilation
 #
 
-CP = ../lib/java-getopt-1.0.7.jar:../lib/xerces-2.9.1.jar:../lib/jcert-1.0.1.jar:../lib/jnet-1.0.1.jar:../lib/jsse-1.0.1.jar:../lib/xml-apis.jar:../lib/xalan.jar
+CP = /usr/share/java/gnu-getopt.jar:/usr/share/java/xercesImpl.jar:/usr/share/java/xmlParserAPIs.jar:/usr/share/java/xml-apis.jar
 
 if SUPPORT_CYGWIN
   CLASSPATH = `cygpath --path --windows "$(CP)"`
--- babel-1.2.0.dfsg/compiler/Makefile.in~	2007-11-02 21:40:55.000000000 +0000
+++ babel-1.2.0.dfsg/compiler/Makefile.in	2008-04-01 21:42:18.000000000 +0000
@@ -346,7 +346,7 @@
 #
 # Java classpath path information for jar files needed for compilation
 #
-CP = ../lib/java-getopt-1.0.7.jar:../lib/xerces-2.9.1.jar:../lib/jcert-1.0.1.jar:../lib/jnet-1.0.1.jar:../lib/jsse-1.0.1.jar:../lib/xml-apis.jar:../lib/xalan.jar
+CP = /usr/share/java/gnu-getopt.jar:/usr/share/java/xercesImpl.jar:/usr/share/java/xmlParserAPIs.jar:/usr/share/java/xml-apis.jar
 @SUPPORT_CYGWIN_FALSE@CLASSPATH = $(CP)
 @SUPPORT_CYGWIN_TRUE@CLASSPATH = `cygpath --path --windows "$(CP)"`
 JAVAC_FLAGS = -g -source 1.4 -target 1.4 -d . -classpath "$(CLASSPATH)"
--- babel-1.4.0.dfsg/lib/Makefile.am~	2009-05-27 13:36:25.000000000 -0400
+++ babel-1.4.0.dfsg/lib/Makefile.am	2009-06-01 10:50:49.000000000 -0400
@@ -43,8 +43,8 @@
 
 jardir = $(prefix)/lib
 jar_DATA = $(BABELJAR)						\
-	   $(SIDLJARDATA)					\
-	   LICENSE-SAX.html					\
+	   $(SIDLJARDATA)
+#	   LICENSE-SAX.html					\
 	   java-getopt-1.0.7.jar				\
 	   java-getopt.LICENSE					\
 	   java-getopt.INFO					\
--- babel-1.4.0.dfsg/lib/Makefile.in~	2009-05-27 13:36:25.000000000 -0400
+++ babel-1.4.0.dfsg/lib/Makefile.in	2009-06-01 10:51:39.000000000 -0400
@@ -369,8 +369,8 @@
 @SUPPORT_JAVA_TRUE@SIDLJARDATA = $(SIDLJAR)
 jardir = $(prefix)/lib
 jar_DATA = $(BABELJAR)						\
-	   $(SIDLJARDATA)					\
-	   LICENSE-SAX.html					\
+	   $(SIDLJARDATA)
+#	   LICENSE-SAX.html					\
 	   java-getopt-1.0.7.jar				\
 	   java-getopt.LICENSE					\
 	   java-getopt.INFO					\
